javax.batch.operations

## Class NoSuchJobInstanceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.batch.operations.BatchRuntimeException
        - - javax.batch.operations.NoSuchJobInstanceException

All Implemented Interfaces:
  Serializable

    public class NoSuchJobInstanceException
    extends BatchRuntimeException

Used in JobOperator methods when referencing a job instance value which does not correspond to a job instance recognized by the implementation's repository.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NoSuchJobInstanceException()`
`NoSuchJobInstanceException(String message)`
`NoSuchJobInstanceException(String message, Throwable cause)`
`NoSuchJobInstanceException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoSuchJobInstanceException

    public NoSuchJobInstanceException()

#### NoSuchJobInstanceException

    public NoSuchJobInstanceException(String message)

#### NoSuchJobInstanceException

    public NoSuchJobInstanceException(Throwable cause)

#### NoSuchJobInstanceException

    public NoSuchJobInstanceException(String message,
                              Throwable cause)

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0